com.rscja.team.qcom.system

## Class SysInterfacesOfC66P_qcom

- java.lang.Object
- - com.rscja.team.qcom.system.SysInterfacesOfC66P_qcom

- All Implemented Interfaces:
    ISystemInterfaces

      public class SysInterfacesOfC66P_qcom
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SysInterfacesOfC66P_qcom(android.content.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLiveAPP(java.lang.String[] packageName)` 增加保活APP
    `java.util.List<java.lang.String>` | `getAppWhiteList()` 获取App白名单列表
    `java.lang.String` | `getSN()` 获取SN号
    `boolean` | `isEnable4G()` 判断4G是否启用
    `boolean` | `isEnableBackKey()` 返回按键是否启用
    `boolean` | `isEnableBlueth()` 判断Blueth是否启用
    `boolean` | `isEnableCamera()` 判断Camera是否启用
    `boolean` | `isEnableHomeKey()` 判断Home按键是否可用
    `boolean` | `isEnableMenuKey()` 判断MenuKey是否启用
    `boolean` | `isEnableNavigationBar()` 判断虚拟导航栏是否可用
    `boolean` | `isEnableOtg()` 判断Otg是否启用
    `boolean` | `isEnablePanelBar()` 判断下拉面板是否可用
    `boolean` | `isEnableRecentKey()` 最近APP使用记录按键是否启用
    `boolean` | `isEnableScreensho()` 判断屏幕截图是否启用
    `boolean` | `isEnableSystemSettingButton()` 判断音量加减界面的设置按钮是否可用
    `boolean` | `isEnableWifi()` 判断wifi是否启用
    `void` | `removeLiveAPP(java.lang.String[] packageName)` 移除保活APP
    `void` | `sendContentToCursor(java.lang.String data)` 将数据发送到光标位置
    `boolean` | `setEnable4G(boolean enable)` 设置4G 禁用、启用
    `boolean` | `setEnableBackKey(boolean enable)` 返回按键 禁用、启用
    `boolean` | `setEnableBlueth(boolean enable)` 设置Blueth 禁用、启用
    `boolean` | `setEnableCamera(boolean enable)` 设置Camera 禁用、启用
    `boolean` | `setEnableHomeKey(boolean enable)` 设置Home按键禁用、启用
    `boolean` | `setEnableMenuKey(boolean enable)` 设置Menu按键 禁用、启用
    `boolean` | `setEnableNavigationBar(boolean enable)` 设置虚拟导航栏禁用、启用
    `boolean` | `setEnableOtg(boolean enable)` 设置OTG 禁用、启用
    `boolean` | `setEnablePanelBar(boolean enable)` 设置下拉面板禁用、启用
    `boolean` | `setEnableRecentKey(boolean enable)` 最近APP使用记录按键 禁用、启用
    `boolean` | `setEnableScreensho(boolean enable)` 设置屏幕截图 禁用、启用
    `boolean` | `setEnableSystemSettingButton(boolean enable)` 设置音量加减界面的设置按钮的禁用、启用
    `boolean` | `setEnableWifi(boolean enable)` 设置wifi 禁用、启用,需要申请android.permission.CHANGE_WIFI_STATE权限
    `void` | `setSystemTime(long timestamp)` 设置系统时间
    `void` | `silentInstall(java.lang.String apkPath)` 静默安装apk
    `void` | `silentUninstall(java.lang.String apkPackage)` 静默卸载apk

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SysInterfacesOfC66P_qcom

          public SysInterfacesOfC66P_qcom(android.content.Context context)

  - ### Method Detail

    - #### isEnableHomeKey

          public boolean isEnableHomeKey()

      判断Home按键是否可用
      Specified by:
        `isEnableHomeKey` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableHomeKey

          public boolean setEnableHomeKey(boolean enable)

      设置Home按键禁用、启用
      Specified by:
        `setEnableHomeKey` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableMenuKey

          public boolean isEnableMenuKey()

      Description copied from interface: `ISystemInterfaces`
      判断MenuKey是否启用
      Specified by:
        `isEnableMenuKey` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableMenuKey

          public boolean setEnableMenuKey(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      设置Menu按键 禁用、启用
      Specified by:
        `setEnableMenuKey` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnablePanelBar

          public boolean isEnablePanelBar()

      判断下拉面板是否可用
      Specified by:
        `isEnablePanelBar` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnablePanelBar

          public boolean setEnablePanelBar(boolean enable)

      设置下拉面板禁用、启用
      Specified by:
        `setEnablePanelBar` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableBackKey

          public boolean isEnableBackKey()

      Description copied from interface: `ISystemInterfaces`
      返回按键是否启用
      Specified by:
        `isEnableBackKey` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableBackKey

          public boolean setEnableBackKey(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      返回按键 禁用、启用
      Specified by:
        `setEnableBackKey` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableRecentKey

          public boolean isEnableRecentKey()

      Description copied from interface: `ISystemInterfaces`
      最近APP使用记录按键是否启用
      Specified by:
        `isEnableRecentKey` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableRecentKey

          public boolean setEnableRecentKey(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      最近APP使用记录按键 禁用、启用
      Specified by:
        `setEnableRecentKey` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableSystemSettingButton

          public boolean isEnableSystemSettingButton()

      判断音量加减界面的设置按钮是否可用
      Specified by:
        `isEnableSystemSettingButton` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableSystemSettingButton

          public boolean setEnableSystemSettingButton(boolean enable)

      设置音量加减界面的设置按钮的禁用、启用
      Specified by:
        `setEnableSystemSettingButton` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableNavigationBar

          public boolean isEnableNavigationBar()

      判断虚拟导航栏是否可用
      Specified by:
        `isEnableNavigationBar` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableNavigationBar

          public boolean setEnableNavigationBar(boolean enable)

      设置虚拟导航栏禁用、启用
      Specified by:
        `setEnableNavigationBar` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### setEnableWifi

          public boolean setEnableWifi(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      设置wifi 禁用、启用,需要申请android.permission.CHANGE_WIFI_STATE权限
      Specified by:
        `setEnableWifi` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableWifi

          public boolean isEnableWifi()

      Description copied from interface: `ISystemInterfaces`
      判断wifi是否启用
      Specified by:
        `isEnableWifi` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnable4G

          public boolean setEnable4G(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      设置4G 禁用、启用
      Specified by:
        `setEnable4G` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnable4G

          public boolean isEnable4G()

      Description copied from interface: `ISystemInterfaces`
      判断4G是否启用
      Specified by:
        `isEnable4G` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableCamera

          public boolean setEnableCamera(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      设置Camera 禁用、启用
      Specified by:
        `setEnableCamera` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableCamera

          public boolean isEnableCamera()

      Description copied from interface: `ISystemInterfaces`
      判断Camera是否启用
      Specified by:
        `isEnableCamera` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableBlueth

          public boolean setEnableBlueth(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      设置Blueth 禁用、启用
      Specified by:
        `setEnableBlueth` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableBlueth

          public boolean isEnableBlueth()

      Description copied from interface: `ISystemInterfaces`
      判断Blueth是否启用
      Specified by:
        `isEnableBlueth` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableOtg

          public boolean setEnableOtg(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      设置OTG 禁用、启用
      Specified by:
        `setEnableOtg` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableOtg

          public boolean isEnableOtg()

      Description copied from interface: `ISystemInterfaces`
      判断Otg是否启用
      Specified by:
        `isEnableOtg` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### setEnableScreensho

          public boolean setEnableScreensho(boolean enable)

      Description copied from interface: `ISystemInterfaces`
      设置屏幕截图 禁用、启用
      Specified by:
        `setEnableScreensho` in interface `ISystemInterfaces`
      Parameters:
        `enable` - true:启用 false:禁用
      Returns:
        true:成功 false;失败

    - #### isEnableScreensho

          public boolean isEnableScreensho()

      Description copied from interface: `ISystemInterfaces`
      判断屏幕截图是否启用
      Specified by:
        `isEnableScreensho` in interface `ISystemInterfaces`
      Returns:
        true:启用 false:禁用

    - #### getSN

          public java.lang.String getSN()

      Description copied from interface: `ISystemInterfaces`
      获取SN号
      Specified by:
        `getSN` in interface `ISystemInterfaces`
      Returns:
        返回sn号

    - #### setSystemTime

          public void setSystemTime(long timestamp)

      Description copied from interface: `ISystemInterfaces`
      设置系统时间
      Specified by:
        `setSystemTime` in interface `ISystemInterfaces`
      Parameters:
        `timestamp` - 时间戳

    - #### addLiveAPP

          public void addLiveAPP(java.lang.String[] packageName)

      Description copied from interface: `ISystemInterfaces`
      增加保活APP
      Specified by:
        `addLiveAPP` in interface `ISystemInterfaces`
      Parameters:
        `packageName` - App包名

    - #### removeLiveAPP

          public void removeLiveAPP(java.lang.String[] packageName)

      Description copied from interface: `ISystemInterfaces`
      移除保活APP
      Specified by:
        `removeLiveAPP` in interface `ISystemInterfaces`
      Parameters:
        `packageName` - App包名

    - #### silentInstall

          public void silentInstall(java.lang.String apkPath)

      Description copied from interface: `ISystemInterfaces`
      静默安装apk
      Specified by:
        `silentInstall` in interface `ISystemInterfaces`
      Parameters:
        `apkPath` - apk路径

    - #### silentUninstall

          public void silentUninstall(java.lang.String apkPackage)

      Description copied from interface: `ISystemInterfaces`
      静默卸载apk
      Specified by:
        `silentUninstall` in interface `ISystemInterfaces`
      Parameters:
        `apkPackage` - apk包名

    - #### getAppWhiteList

          public java.util.List<java.lang.String> getAppWhiteList()

      Description copied from interface: `ISystemInterfaces`
      获取App白名单列表
      Specified by:
        `getAppWhiteList` in interface `ISystemInterfaces`

    - #### sendContentToCursor

          public void sendContentToCursor(java.lang.String data)

      Description copied from interface: `ISystemInterfaces`
      将数据发送到光标位置
      Specified by:
        `sendContentToCursor` in interface `ISystemInterfaces`